Subject: Re: [PATCH 6/6 v5] revert.c: delegate handling of "-" shorthand to setup_revisions

From: Junio C Hamano <[email-masked]>
Date: Wed, 01 Mar 2017 15:18:56 -0800

Siddharth Kannan <[email-masked]> writes:

> revert.c:run_sequencer calls setup_revisions right after replacing "-" with
> "@{-1}" for this shorthand. A previous patch taught setup_revisions to handle
> this shorthand by doing the required replacement inside revision.c:get_sha1_1.
>
> Hence, the code here is redundant and has been removed.
>
> This patch also adds a test to check that revert recognizes the "-" shorthand.

Unlike "merge" [*1*], I think this one is OK because "git revert
$commit" does not try to say _how_ the commit was given, and most
importantly, it does not say what branch the reverted thing was.

Thanks.

[Footnote]

*1* Probably "checkout" would exhibit the same issue as we saw in
    5/6 for "git merge" if you remove the "- to @{-1}" conversion
    from it.